Package org.eclipse.microprofile.telemetry.metrics.tck.application.exporter

# Class InMemoryMetricExporterProvider

java.lang.Object
org.eclipse.microprofile.telemetry.metrics.tck.application.exporter.InMemoryMetricExporterProvider

All Implemented Interfaces:
  `io.opentelemetry.sdk.autoconfigure.spi.metrics.ConfigurableMetricExporterProvider`

public class InMemoryMetricExporterProvider extends Object implements io.opentelemetry.sdk.autoconfigure.spi.metrics.ConfigurableMetricExporterProvider

## Constructor Summary

Constructors
Constructor
Description
`InMemoryMetricExporterProvider()`

## Method Summary

Modifier and Type
Method
Description
`io.opentelemetry.sdk.metrics.export.MetricExporter`
`createExporter(io.opentelemetry.sdk.autoconfigure.spi.ConfigProperties config)`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InMemoryMetricExporterProvider

public InMemoryMetricExporterProvider()

## Method Details

### createExporter

public io.opentelemetry.sdk.metrics.export.MetricExporter createExporter(io.opentelemetry.sdk.autoconfigure.spi.ConfigProperties config)

Specified by:
  `createExporter` in interface `io.opentelemetry.sdk.autoconfigure.spi.metrics.ConfigurableMetricExporterProvider`

### getName

public String getName()

Specified by:
  `getName` in interface `io.opentelemetry.sdk.autoconfigure.spi.metrics.ConfigurableMetricExporterProvider`